#define LCD_TRIS_COM TRISBbits.TRISB4

#define LCD_TRIS_COL TRISDbits.TRISD1

#define LCD_TRIS_1ADE TRISAbits.TRISA0
#define LCD_TRIS_1B TRISBbits.TRISB7
#define LCD_TRIS_1C TRISAbits.TRISA1
#define LCD_TRIS_1F TRISAbits.TRISA7
#define LCD_TRIS_1G TRISBbits.TRISB6

#define LCD_TRIS_2A TRISDbits.TRISD6
#define LCD_TRIS_2B TRISDbits.TRISD5
#define LCD_TRIS_2C TRISAbits.TRISA5
#define LCD_TRIS_2D TRISAbits.TRISA4
#define LCD_TRIS_2E TRISAbits.TRISA3
#define LCD_TRIS_2F TRISDbits.TRISD7
#define LCD_TRIS_2G TRISBbits.TRISB0

#define LCD_TRIS_3A TRISCbits.TRISC6
#define LCD_TRIS_3B TRISCbits.TRISC5
#define LCD_TRIS_3C TRISEbits.TRISE2
#define LCD_TRIS_3D TRISEbits.TRISE1
#define LCD_TRIS_3E TRISEbits.TRISE0
#define LCD_TRIS_3F TRISCbits.TRISC7
#define LCD_TRIS_3G TRISDbits.TRISD4

#define LCD_TRIS_4A TRISDbits.TRISD2
#define LCD_TRIS_4B TRISBbits.TRISB2
#define LCD_TRIS_4C TRISCbits.TRISC3
#define LCD_TRIS_4D TRISCbits.TRISC2
#define LCD_TRIS_4E TRISAbits.TRISA6
#define LCD_TRIS_4F TRISDbits.TRISD3
#define LCD_TRIS_4G TRISCbits.TRISC4

#define LCD_ANS_COM ANSBbits.ANSB4

#define LCD_ANS_COL ANSDbits.ANSD1

#define LCD_ANS_1ADE ANSAbits.ANSA0
#define LCD_ANS_1B ANSBbits.ANSB7
#define LCD_ANS_1C ANSAbits.ANSA1
#define LCD_ANS_1F ANSAbits.ANSA7
#define LCD_ANS_1G ANSBbits.ANSB6

#define LCD_ANS_2A ANSDbits.ANSD6
#define LCD_ANS_2B ANSDbits.ANSD5
#define LCD_ANS_2C ANSAbits.ANSA5
#define LCD_ANS_2D ANSAbits.ANSA4
#define LCD_ANS_2E ANSAbits.ANSA3
#define LCD_ANS_2F ANSDbits.ANSD7
#define LCD_ANS_2G ANSBbits.ANSB0

#define LCD_ANS_3A ANSCbits.ANSC6
#define LCD_ANS_3B ANSCbits.ANSC5
#define LCD_ANS_3C ANSEbits.ANSE2
#define LCD_ANS_3D ANSEbits.ANSE1
#define LCD_ANS_3E ANSEbits.ANSE0
#define LCD_ANS_3F ANSCbits.ANSC7
#define LCD_ANS_3G ANSDbits.ANSD4

#define LCD_ANS_4A ANSDbits.ANSD2
#define LCD_ANS_4B ANSBbits.ANSB2
#define LCD_ANS_4C ANSCbits.ANSC3
#define LCD_ANS_4D ANSCbits.ANSC2
#define LCD_ANS_4E ANSAbits.ANSA6
#define LCD_ANS_4F ANSDbits.ANSD3
#define LCD_ANS_4G ANSCbits.ANSC4


#define LCD_SEGEN_COL LCDSE3bits.SE27

#define LCD_SEGEN_1ADE LCDSE1bits.SE12
#define LCD_SEGEN_1B LCDSE1bits.SE13
#define LCD_SEGEN_1C LCDSE0bits.SE7
#define LCD_SEGEN_1F LCDSE0bits.SE2
#define LCD_SEGEN_1G LCDSE1bits.SE14

#define LCD_SEGEN_2A LCDSE2bits.SE19
#define LCD_SEGEN_2B LCDSE2bits.SE18
#define LCD_SEGEN_2C LCDSE0bits.SE5
#define LCD_SEGEN_2D LCDSE0bits.SE4
#define LCD_SEGEN_2E LCDSE1bits.SE15
#define LCD_SEGEN_2F LCDSE2bits.SE20
#define LCD_SEGEN_2G LCDSE0bits.SE0

#define LCD_SEGEN_3A LCDSE1bits.SE9
#define LCD_SEGEN_3B LCDSE1bits.SE10
#define LCD_SEGEN_3C LCDSE2bits.SE23
#define LCD_SEGEN_3D LCDSE2bits.SE22
#define LCD_SEGEN_3E LCDSE2bits.SE21
#define LCD_SEGEN_3F LCDSE1bits.SE8
#define LCD_SEGEN_3G LCDSE2bits.SE17

#define LCD_SEGEN_4A LCDSE3bits.SE28
#define LCD_SEGEN_4B LCDSE3bits.SE25
#define LCD_SEGEN_4C LCDSE0bits.SE6
#define LCD_SEGEN_4D LCDSE0bits.SE3
#define LCD_SEGEN_4E LCDSE0bits.SE1
#define LCD_SEGEN_4F LCDSE2bits.SE16
#define LCD_SEGEN_4G LCDSE1bits.SE11

#define LCD_DATA_COL LCDDATA12bits.SEG27COM0

#define LCD_DATA_1ADE LCDDATA1bits.SEG12COM0
#define LCD_DATA_1B LCDDATA1bits.SEG13COM0
#define LCD_DATA_1C LCDDATA0bits.SEG7COM0
#define LCD_DATA_1F LCDDATA0bits.SEG2COM0
#define LCD_DATA_1G LCDDATA1bits.SEG14COM0

#define LCD_DATA_2A LCDDATA2bits.SEG19COM0
#define LCD_DATA_2B LCDDATA2bits.SEG18COM0
#define LCD_DATA_2C LCDDATA0bits.SEG5COM0
#define LCD_DATA_2D LCDDATA0bits.SEG4COM0
#define LCD_DATA_2E LCDDATA1bits.SEG15COM0
#define LCD_DATA_2F LCDDATA2bits.SEG20COM0
#define LCD_DATA_2G LCDDATA0bits.SEG0COM0

#define LCD_DATA_3A LCDDATA1bits.SEG9COM0
#define LCD_DATA_3B LCDDATA1bits.SEG10COM0
#define LCD_DATA_3C LCDDATA2bits.SEG23COM0
#define LCD_DATA_3D LCDDATA2bits.SEG22COM0
#define LCD_DATA_3E LCDDATA2bits.SEG21COM0
#define LCD_DATA_3F LCDDATA1bits.SEG8COM0
#define LCD_DATA_3G LCDDATA2bits.SEG17COM0

#define LCD_DATA_4A LCDDATA12bits.SEG28COM0
#define LCD_DATA_4B LCDDATA12bits.SEG25COM0
#define LCD_DATA_4C LCDDATA0bits.SEG6COM0
#define LCD_DATA_4D LCDDATA0bits.SEG3COM0
#define LCD_DATA_4E LCDDATA0bits.SEG1COM0
#define LCD_DATA_4F LCDDATA2bits.SEG16COM0
#define LCD_DATA_4G LCDDATA1bits.SEG11COM0

void LCDInit(void);
void LCDDigit1Set(uint8_t u8);
void LCDDigit2Set(uint8_t u8);
void LCDDigit3Set(uint8_t u8);
void LCDDigit4Set(uint8_t u8);


